ALTER TABLE MENU_ORDER
ADD "COMMENT" VARCHAR2(1000 CHAR);

ALTER TABLE EVENT_SITUATION
ADD ALARM_CHECK_CODE VARCHAR2(50 CHAR);

DROP VIEW V_EVENT_SITUATION;

CREATE OR REPLACE VIEW V_EVENT_SITUATION AS (
	SELECT ES.ID, ES.EVENT, ES.SITUATION, ES.ALARM, ES.PREVENT_EXECUTION, ES.ACT, ND.OPIS AS EVENT_OPIS, ND.INTERNI_OPIS AS EVENT_INTERNI_OPIS,
  NS.OPIS AS SITUATION_OPIS, NS.INTERNI_OPIS AS SITUATION_INTERNI_OPIS, AC.OPIS AS ALARM_CHECK_OPIS
	FROM EVENT_SITUATION ES
  LEFT OUTER JOIN NDOGODEK ND ON ND.NDOGODEK = ES.EVENT
  LEFT OUTER JOIN NNSITUATION NS ON NS.ID = ES.SITUATION
  LEFT OUTER JOIN ALARM_CHECK AC ON AC.SIFRA = ES.ALARM_CHECK_CODE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2208, SYSDATE, '5.5', 2128, 'Event situation')
;
